org.eclipse.eef.common.ui.api

## Interface IEEFFormContainer

All Known Implementing Classes:
  EEFLegacyTabbedPropertySheetPage, EEFTabbedPropertySheetPage

    public interface IEEFFormContainer

This interface represents the root container of the properties to be displayed, for example a tabbed property sheet page, an editor or a dialog.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.ui.forms.widgets.Form` `getForm()` Returns the form.
`org.eclipse.swt.widgets.Shell` `getShell()` Returns the shell used by the container.
`EEFWidgetFactory` `getWidgetFactory()` Returns the widget factory.
`boolean` `isRenderingInProgress()` Indicates if the form container is currently rendering the user interface.
`void` `refreshPage()` Refresh the page.

### Method Detail

#### getForm

    org.eclipse.ui.forms.widgets.Form getForm()

Returns the form.

Returns:
  The form

#### getShell

    org.eclipse.swt.widgets.Shell getShell()

Returns the shell used by the container.

Returns:
  The shell used by the container

#### getWidgetFactory

    EEFWidgetFactory getWidgetFactory()

Returns the widget factory.

Returns:
  The widget factory

#### isRenderingInProgress

    boolean isRenderingInProgress()

Indicates if the form container is currently rendering the user interface.

Returns:
  `true` if the user interface is currently being rendered, `false` otherwise

#### refreshPage

    void refreshPage()

Refresh the page.